/*
 *  povg.cpp
 *  POV35
 *
 *  Created by Christopher Huff on Sat Oct 26 2002.
 *  Copyright (c) 2002 Christopher Huff. All rights reserved.
 *
 */

#include "povg.h"
#include "frame.h"
#include "povproto.h"
#include "file_pov.h"
#include <fstream>
#include <string>

g::GMachine gmachine;

void CompileGFile(char * path)
{
    std::string source;
    char tmp;
//    char tmp[1024];
    POV_ISTREAM * fin;
//    cout << "Locating file" << endl;
    if((fin = Locate_File(path, POV_File_Unknown, NULL, false)) != NULL)//POV_File_Text_INC
    {
//        cout << "File found, reading" << endl;
        while((tmp = fin->Read_Byte()) != EOF)
            source += tmp;
/*        while()
        {
            fin->getline(tmp, 1024);
            source += ' ';
            source += tmp;
        }*/
//        cout << "File read, compiling: " << source << endl;
        gmachine.Compile(source);
//        cout << "File compiled" << endl;
    }
    else
    {
        Error("Couldn't open G file \"%s\"", path);
    }
/*    std::string source;
    std::string tmp;

    std::ifstream fin("test.g");
    if(fin.is_open())
    {
        //Required for bad STL implementation on my system
        while(!fin.eof())
        {
            fin >> tmp;
            source += ' ';
            source += tmp;
        }
        
        gmachine.Compile(source);
    }
    else
    {
        Error("Couldn't open G file \"%s\"", path);
    }*/
}